> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Files

## Description

Get upload URL for file uploads. The generated URL can be used for direct file uploads to storage.


## OpenAPI

````yaml get /v1/uploads/
openapi: 3.1.0
info:
  title: Lingopal VOD API
  description: API for Video on Demand processing, transcription, and translation services
  version: 0.0.1
servers:
  - url: https://api.lingopal.ai
security: []
paths:
  /v1/uploads/:
    get:
      tags:
        - uploads
      summary: Upload Files
      operationId: upload_files_v1_uploads__get
      parameters:
        - name: file_ext
          in: query
          required: false
          schema:
            type: string
            default: mp4
            title: File Ext
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUploadUrlResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    GetUploadUrlResponse:
      properties:
        upload_url:
          type: string
          title: Upload Url
        source_url:
          type: string
          title: Source Url
      type: object
      required:
        - upload_url
        - source_url
      title: GetUploadUrlResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````